import React from 'react';
import Svg, {G, Path} from 'react-native-svg';

const IconCoffee = props => {
  const {fill, size} = props;
  return (
    <Svg
      xmlns="http://www.w3.org/2000/svg"
      width={size || 24}
      height={size || 24}
      {...props}>
      <G fill={fill}>
        <Path d="M13.58 22.75H6.21a4.966 4.966 0 0 1-4.96-4.96v-7.32a4.966 4.966 0 0 1 4.96-4.96h7.37a4.966 4.966 0 0 1 4.96 4.96v7.32a4.972 4.972 0 0 1-4.96 4.96ZM6.21 7.01a3.461 3.461 0 0 0-3.46 3.46v7.32a3.461 3.461 0 0 0 3.46 3.46h7.37a3.461 3.461 0 0 0 3.46-3.46v-7.32a3.461 3.461 0 0 0-3.46-3.46Z" />
        <Path
          data-name="Vector"
          d="M5.5 4.75A.755.755 0 0 1 4.75 4V2.25a.755.755 0 0 1 .75-.75.755.755 0 0 1 .75.75V4a.755.755 0 0 1-.75.75ZM9.5 4.75A.755.755 0 0 1 8.75 4V2.25a.755.755 0 0 1 .75-.75.755.755 0 0 1 .75.75V4a.755.755 0 0 1-.75.75ZM13.5 4.75a.755.755 0 0 1-.75-.75V2.25a.755.755 0 0 1 .75-.75.755.755 0 0 1 .75.75V4a.755.755 0 0 1-.75.75ZM17.79 18.12a.755.755 0 0 1-.75-.75V8.95a.755.755 0 0 1 .75-.75 4.96 4.96 0 0 1 0 9.92Zm.75-8.34v6.76a3.463 3.463 0 0 0 0-6.76Z"
        />
        <Path
          data-name="Vector"
          d="M17.51 12.75H2a.755.755 0 0 1-.75-.75.755.755 0 0 1 .75-.75h15.51a.755.755 0 0 1 .75.75.755.755 0 0 1-.75.75Z"
        />
      </G>
    </Svg>
  );
};

export default IconCoffee;
